
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在GlassFish v2中使用SSL / iVAN</title>

    <meta name="description" content="在GlassFish v2中使用SSL 大多数企业应用程序都需要在安全环境中运行.传输层安全(TLS)/安全套接 层(SSL)是一种点对点的安全传输机制,可用于验证客户端和服务器之间交换的 消息,并确保消息的完整性和机密性.TLS/SSL(或在本文中,就是&quot;SSL&quot;)可 满足大多数企业应用环境的安全要求,因此得到了广泛应用. 无论如何参与 SSL 保护的信息交换,服务器都需要成为 SSL 服务器.本文将 介绍如何使 GlassFish v2 应用程序服务器成为 SSL 服务器. 为了理解这些步骤,您需要理解 SSL ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在GlassFish v2中使用SSL</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>大多数企业应用程序都需要在安全环境中运行。传输层安全（TLS）/安全套接 层（SSL）是一种点对点的安全传输机制，可用于验证客户端和服务器之间交换的 消息，并确保消息的完整性和机密性。TLS/SSL（或在本文中，就是“SSL”）可 满足大多数企业应用环境的安全要求，因此得到了广泛应用。</p>
<p>无论如何参与 SSL 保护的信息交换，服务器都需要成为 SSL 服务器。本文将 介绍如何使 GlassFish v2 应用程序服务器成为 SSL 服务器。</p>
<p>为了理解这些步骤，您需要理解 SSL 中的一些基本概念（比如密钥和证书） ，并对 GlassFish v2 中的 profile（配置）有所了解。</p>
<p>密钥和证书</p>
<p>密钥和证书是 SSL 中的两个重要概念。密钥用于在客户端和服务器之间的传 输中建立信任和隐私。SSL 使用公钥加密法，这种加密法是基于密钥对的。密钥 对包含一个公钥和一个私钥。如果用其中一个密钥加密了数据，则只能用密钥对 中的另外一个密钥来解密。</p>
<p>证书用于验证。要使用 SSL，服务器必须拥有其可以连接的每个客户端 IP 地 址的相关证书。证书标识了服务器站点的所有者并提供相关的信息。证书由其所 有者进行了加密数字签名。对于验证非常重要的网站，可以从值得信赖的知名证 书认证机构（CA）购买。但是，如果验证并不特别重要，网站也可以使用自签名 的证书。</p>
<p>GlassFish v2 配置</p>
<p>GlassFish v2 支持多种配置。每个配置都预置了配置参数，用于应用程序服 务器为某种特定用途对其进行优化。它支持三种配置：developer（开发人员）、 cluster（集群）和enterprise（企业）。</p>
<p>开发人员配置可优化 GlassFish v2 适用于开发环境。这表示配置参数支持类 似快速启动的目标，但是不支持登录或会话复制。集群配置将设置支持集群创建 和会话复制的配置参数。集群是一组可作为单个逻辑实体管理和监视的 GlassFish v2 实例。企业配置可优化 GlassFish v2 适用于生产环境。它支持登 录和其他安全相关的功能。</p>
<p>使 GlassFish v2 应用程序服务器成为 SSL 服务器</p>
<p>使 GlassFish v2 成为 SSL 服务器的步骤取决于应用服务器的配置。首先让 我们来查看一下使用开发人员配置时的过程。然后再查看使用企业配置时的过程 。</p>
<p>使用开发人员配置</p>
<p>再次提醒：GlassFish v2 配置预置了某种特定使用类型的配置参数。这些参 数中有一种是 Security Store，它可以确定如何存储安全和信任相关的事物，比 如证书和密钥。对于开发人员配置，Security Store 值设置为 JKS。在本例中， 服务器的证书和密钥存储在 Java keystore 文件（keystore.jks）中，而信任的 CA 签发的证书存储在证书文件（cacerts.jks）中。</p>
<p>安装 GlassFish v2 时，它会创建一个默认的自签名证书作为服务器证书。但 是，如果验证对您的网站非常重要，则您需要将该自签名证书替换为由 CA 签发 的数字签名证书。本节将介绍如何替换该自签名证书、如何从 CA 获得服务器证 书以及如何将服务器证书导入到 keystore。</p>
<p>以下步骤需要使用 keytool，它是一种密钥和证书管理工具。Keytool 在多种 版本的 Java Platform 、Standard Edition（Java SE）Development Kit（jdk ）中均可获得。但是，Java SE 6 在 keytool 中添加了一些必要的功能。以下教 程基于 jdk 6 版本的 keytool。有关 keytool 的详细信息，请参阅 JDK Tools and Utilities。</p>
<p>应用服务器使用开发人员配置时，可采用以下步骤使 GlassFish v2 成为 SSL 服务器。</p>
<p>使用以下命令删除默认的自签名证书（注意：出于格式目的，以下及以后步骤 中的命令分多行显示）：</p>
<p>keytool -delete -alias s1as -keystore keystore.jks</p>
<p>-storepass</p>
<p>其中，&lt;store_passwd&gt; 是 keystore 的密码，例如 mypass。注意： s1as 是 GlassFish v2 keystore 的默认别名。</p>
<p>使用以下命令为应用程序服务器生成新密钥对：</p>
<p>keytool -genkeypair -keyalg</p>
<p>-keystore keystore.jks -validity -alias s1as</p>
<p>其中，&lt;key_alg&gt; 是用于生成密钥对的算法，例如 RSA。 &lt;val_days&gt; 为证书的有效天数，例如 365。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:33:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e9%92%a5/" title="密钥">密钥</a>, <a href="https://www.iamivan.net/tag/%e8%af%81%e4%b9%a6/" title="证书">证书</a>, <a href="https://www.iamivan.net/tag/keytool/" title="keytool">keytool</a>, <a href="https://www.iamivan.net/tag/glassfish/" title="glassfish">glassfish</a>, <a href="https://www.iamivan.net/tag/%e5%90%af%e5%8a%a8ssl%e8%af%a6%e7%bb%86%e4%bb%8b%e7%bb%8d/" title="启动SSL详细介绍">启动SSL详细介绍</a>, <a href="https://www.iamivan.net/tag/jks/" title="jks">jks</a>, <a href="https://www.iamivan.net/tag/jks%c2%a0/" title="&num;jks&nbsp;">&num;jks&nbsp;</a>, <a href="https://www.iamivan.net/tag/keystore/" title="keystore">keystore</a>, <a href="https://www.iamivan.net/tag/st-link-v2/" title="st-link v2">st-link v2</a>, <a href="https://www.iamivan.net/tag/%e8%af%81%e4%b9%a6%e6%9c%8d%e5%8a%a1%e5%99%a8%e9%85%8d%e7%bd%ae/" title="证书服务器配置">证书服务器配置</a>, <a href="https://www.iamivan.net/tag/glassfish%e6%a0%b9%e7%9b%ae%e5%bd%95%e9%85%8d%e7%bd%ae/" title="glassfish根目录配置">glassfish根目录配置</a>, <a href="https://www.iamivan.net/tag/%e5%90%af%e5%8a%a8ssl%e5%b9%b6%e4%bc%98%e5%8c%96/" title="启动SSL并优化">启动SSL并优化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在GlassFish v2中使用SSL的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwj78z.html" rel="bookmark">使用GlassFish v2、Apache Maven 2和NetBeans IDE 6&period;0构建EJB 3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软件需求 要创建EJB 3.0应用程序构建环境,需要使用以下项目: GlassFish v2 b58d NetBeans IDE 6.0 Nightly from 03.09.2007 Apache Maven 2.0.7 Mevenide2-Netbeans插件(NetBeans.Maven2项目支持) 假定以上软件已全部安装并且运行正常.软件安装的方法为将文件解压到所选目录中. 要安装NetBeans Maven2项目支持插件,需要启动NetBeans IDE 6.0.接下来,选择 Tool			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKm7OZp.html" rel="bookmark">Nginx服务器中关于SSL的安全配置详解&lowbar;nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本文向你们展示如何在nginx的web服务器上设置更强的SSL.我们是通过使SSL无效来减弱CRIME攻击的这种方法实现.不使用在协议中易受攻击的SSLv3以及以下版本并且我们会设置一个更强的密码套件为了在可能的情况下能够实现Forward Secrecy,同时我们还启用HSTS和HPKP.这样我们就有了一个更强.不过时的SSL配置并且我们在Qually Labs SSL 测试中得到了A等级. 我们在nginx的设置文档中如下编辑 复制代码 代码如下: /etc/nginx/sited-ena			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVnXLBz.html" rel="bookmark">用GlassFish v2替换Tomcat 5&period;x</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 背景 用了很多年的Tomcat, 无论开发环境还是生产环境, 应该说, 大家对它还是基本满意的.不过, 也不是一点问题没有. 从开发人员的角度来说, Tomcat主要的缺点就是较弱的热部署(hot deploy)能力. 修改一个Java类, 保存后, Tomcat会重新加载这个类, 但不久就要重新启动Tomcat才能继续开发. 在企业关键应用的场景下, 若发生急迫的程序缺陷更正, 让众多的用户停止手头的工作, 等待服务器重新启动, 显然十分不便. 类似RubyOnRails的技术框架, 其			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL0PZb.html" rel="bookmark">在GlassFish v3中整合Rails和java EE</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Rails和java EE的整合 下文将介绍一下在GlassFish v3上的Rails和java EE的整合.GlassFish v3是GlassFish V2的下一个版本,其关注的重点是模块化和使得运行非Java EE的容器和模块成为可能. 下面是详细的细节说明: 1. 使用JRuby 1.1(安装Rails),按照如下步骤创建一个Rails应用&quot;railsee3&quot;: ~/testbed/jruby-1.1/samples/rails &gt;../../bin/jruby -S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3oLBNb.html" rel="bookmark">在 Tomcat 中配置 SSL&sol;TLS 以支持 HTTPS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本件详细介绍了如何通过几个简单步骤在 Tomcat 中配置 SSL/TLS .使用 JDK 生成自签名的证书,最终实现在应用中支持 HTTPS 协议. 生产密钥和证书 Tomcat 目前只能操作 JKS.PKCS11.PKCS12 格式的密钥存储库.JKS 是 Java 标准的&quot;Java 密钥存储库&quot;格式,是通过 keytool 命令行工具创建的.该工具包含在 JDK 中.PKCS12 格式一种互联网标准,可以通过 OpenSSL 和 Microsoft 的 Key-Manager 来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydgW5b.html" rel="bookmark">java-GoogleMaps V2 中的Gps LocationListenser</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 GoogleMaps V2 中的Gps LocationListenser 我想知道googlemaps LatLng 和 Location类中的关系,它们是否可以相互转换呢? 我用的 GoogleMaps v2 方法.在程序中如何使用 GPS 在 maps 中定位? 解决方案 你可以在 GoogleMap 中调用 setMyLocationEnabled(true),然后再定期的调用 getMyLocation().否则就调用 setMyLocationEnabled(true).			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvm946b.html" rel="bookmark">如何在CentOS 7中使用SSL&sol;TLS加固FTP服务器进行安全文件传输</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一开始的设计中,FTP(文件传输协议)就是不安全的,意味着它不会加密两台机器之间传输的数据以及用户的凭据.这使得数据和服务器安全面临很大威胁. 在这篇文章中,我们会介绍在 CentOS/RHEL 7 以及 Fedora 中如何在 FTP 服务器中手动启用数据加密服务;我们会介绍使用 SSL/TLS 证书保护 VSFTPD(Very Secure FTP Daemon)服务的各个步骤. 前提条件: 你必须已经在 CentOS 7 中安装和配置 FTP 服务 . 在我们开始之前,要注意本文中所有命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnK9rZz.html" rel="bookmark">如何在 CentOS 7 中使用 SSL&sol;TLS 加固 FTP 服务器进行安全文件传输</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一开始的设计中,FTP(文件传输协议)就是不安全的,意味着它不会加密两台机器之间传输的数据以及用户的凭据.这使得数据和服务器安全面临很大威胁. 在这篇文章中,我们会介绍在 CentOS/RHEL 7 以及 Fedora 中如何在 FTP 服务器中手动启用数据加密服务:我们会介绍使用 SSL/TLS 证书保护 VSFTPD(Very Secure FTP Daemon)服务的各个步骤. 前提条件: 你必须已经在 CentOS 7 中安装和配置 FTP 服务 . 在我们开始之前,要注意本文中所有命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBxBAb.html" rel="bookmark">Android开发使用Netty的TCP连接中使用SSL加密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1 Introduction   数据安全在网络通信中是非常重要的一个方面.为了支持 SSL/TLS,Java 提供了 javax.net.ssl包下的类SslContext 和 SslEngine .在Netty框架下,I/O数据在ChannelPipeline中被管道中的ChannelHandler处理并转发给下一个ChannelHandler.自然而然地,Netty也提供了ChannelHandler的实现SslHandler来支持SSL, 有一个内部 SslEngine 做实际的工作			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAAkKM.html" rel="bookmark" class="title">Linux系统及应用问题分析排查工具</a>
					<div>
						Linux服务器上经常遇到一些系统和应用上的问题,如何分析排查,需要利器,下面总结列表了一些常用工具.trace tool:最后也列举了最近hadoop社区在开发发展的分布式系统的trace tool ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMry56b.html" rel="bookmark" class="title">教程&sol;dreamweaver&sol;提高 表格妙用-线框制作详解&lpar;1&rpar;</a>
					<div>
						dreamweaver|教程|详解 在DreamWeaver里,表格被更多的应用在布局网页,定位内容上.其实除了这些&quot;大功能&quot;的运用,通过各种变通的方法,表格还能实现很多在设计中一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy1xPM.html" rel="bookmark" class="title">弹出新窗口，填写数据，提交后，关闭该弹出窗口，刷新父页面</a>
					<div>
						弹出窗口|数据|刷新|页面 父窗口弹出子窗口的 button处理事件:private void Button1_Click(object sender, System.EventArgs e)  {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNLXPz.html" rel="bookmark" class="title">CSS规范化命名的重要性及三种通用命名规则</a>
					<div>
						css|规范|规范化 我们在webjx.com以前的文章中,曾经多次提到CSS命名的问题,有些朋友依然不够重视这些问题.认为这个问题对于CSS网页布局开发是无关紧要的.自己写的样式,自己心中有数就可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8nVlb.html" rel="bookmark" class="title">SEO实践&lpar;3&rpar; 让网站对搜索引擎的用户友好</a>
					<div>
						该系列前的两篇文章提及SEO数据的准备工作.以及如何让网站对搜索引擎友好,难以避免的涉及了不少技术层面上的内容.这篇总算能进入稍微轻松点的话题,因为让网站对搜索引擎的用户友好,只需要我们从常识出发就可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4150p.html" rel="bookmark" class="title">python中的全局变量用法分析</a>
					<div>
						 本文实例分析了python中的全局变量用法.分享给大家供大家参考.具体分析如下: Python是一种面向对象的开发语言,在函数中使用全局变量,一般应作全局变量说明,只有在函数内经过说明的全局变量才能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL9oeb.html" rel="bookmark" class="title">Excel表格如何转换为Word文档</a>
					<div>
						  Excel表格转换Word步骤如下: 01将excel文件保存为网页文件 具体操作为: 打开excel文档,然后选择菜单栏&quot;文件&quot;,然后选择&quot;另存为&quot;,打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB28ddb.html" rel="bookmark" class="title">PhotoShop为人物进行妆面修饰后期教程</a>
					<div>
						人像照片的面部修饰方法很多,本期介绍的面部修饰一例综合了目前影楼行业比较流行的做法.原片是一张面部特写,模特本身的妆面不够突出,皮肤品质不太好,所以后期先用减色法减去原片的杂色,并适当加白,然后突出嘴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1QgGz.html" rel="bookmark" class="title">word2013如何设置纸张大小</a>
					<div>
						  word纸张大小默认是A4纸的大小,也就是21*29.7cm.但是这个规格并不是通用的,有时候我们需要另外为word设置一个合适的规格尺寸.那么word中应该如何设置纸张大小呢? 一.单击进入wo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGPgWp.html" rel="bookmark" class="title">如何使用微收藏</a>
					<div>
						收藏文章 永久保存:永久为您保存收藏的文章,方便随时查阅 过滤杂质 清爽阅读:为您过滤掉不相关的内容(如广告等),智能排版,让您阅读更清爽,不受其它内容的干扰 一个帐号 多个终端:手机.iPad.电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGq1Db.html" rel="bookmark" class="title">如何破解EFS加密文件？</a>
					<div>
						  EFS(Encrypting File System,加密文件系统)是Windows 2000/XP所特有的一个实用功能,对于NTFS卷上的文件和数据,都可以直接被操作系统加密保存,在很大程度上提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVKq3b.html" rel="bookmark" class="title">Linux 上通过binlog文件 恢复mysql 数据库例子</a>
					<div>
						一.binlog 介绍 服务器的二进制日志记录着该数据库的所有增删改的操作日志(前提是要在自己的服务器上开启binlog),还包括了这些操作的执行时间.为了显示这些二进制内容,我们可以使用mysqlb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWyX4p.html" rel="bookmark" class="title">谷歌开发&OpenCurlyDoubleQuote;运算公式&rdquo; 防止公司人才流失</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 美国&lt;华尔街日报&gt;19 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE4Zop.html" rel="bookmark" class="title">ios-在iphone中添加自定义AnnotationView</a>
					<div>
						问题描述 在iphone中添加自定义AnnotationView 我用下面的代码制作自定义AnnotationView. 我的CustomPointAnnotation是MKPointAnnotati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwm9lM.html" rel="bookmark" class="title">android 5&period;0-关于Android 5&period;0里使用datepicker的问题</a>
					<div>
						问题描述 关于Android 5.0里使用datepicker的问题 如题,最近使用datepicker去做一个日期选择的需求,需要三种显示:1.显示年月日,2.显示年月,3.显示年.这个需求通过反射 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NjdJM.html" rel="bookmark" class="title">shell中的telnet的问题，请高手指教！</a>
					<div>
						问题描述 shell中的telnet的问题,请高手指教! 用shell自动实现一个telnet到目标,然后对目标中的一个目录进行tar打包,然后退出目标,理想中的代码: telnet IP 端口 ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg6ekb.html" rel="bookmark" class="title">delphi xe 之路（23）clientdataset的locate函数</a>
					<div>
						 locate主要用于查找数据,但是它的查找速度没有finding和going定位快.下面我举一个例子. procedure TForm1.LocateBtnClick(Sender: TObject ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyvQxz.html" rel="bookmark" class="title">Qt 有多少人折腾-qt for s60终于安装成功</a>
					<div>
						自从折腾Qt for s60 的安装 安装了N次,删了又装,装了又删. 版本换了N个. QT sdk 从4.3.2到4.6.3到4.7 Qt creator 从1.3.1 到1.3.8   重整理了以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy8OAz.html" rel="bookmark" class="title">关于jar包冲突</a>
					<div>
						问题描述 客户系统出现问题,报jar包冲突,20140704_11:44:41Causedby:java.lang.NoSuchFieldError:TRACE20140704_11:44:41ato ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nLOJz.html" rel="bookmark" class="title">有没有人会呀？？？</a>
					<div>
						问题描述 xml文件如下:我想用xmlDatasource作为DropdownList控件的数据源,要求DropdownList的表现形式和树状目录一样,请求xml的转换文件该怎么写??&lt;?xm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn4VaM.html" rel="bookmark" class="title">期权可信吗？</a>
					<div>
						问题描述 本人两年工作经验,之前一直在电信行业公司工作,最近收到三份offer,各位判官瞅瞅:1.未上市的电子商务公司,全国500强,待遇9K+期权:2.淘宝子公司,待遇最差,7K:3.外包阿里巴巴, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyeZxz.html" rel="bookmark" class="title">《大玩家》焦恩俊饰痴情帝霍思燕成&OpenCurlyDoubleQuote;眼中钉&rdquo;</a>
					<div>
						焦恩俊:这个皇帝不好当 焦恩俊将皇帝的无奈 诠释到极致 痴情皇帝却无力保护心爱女人 &lt;大玩家&gt;中霍思燕成斯 琴高娃&quot;眼中钉&quot; 新浪娱乐讯 即将在11月25日上映的贺岁喜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW3PPz.html" rel="bookmark" class="title">《R语言数据挖掘》----1&period;8 统计学</a>
					<div>
						本节书摘来自华章出版社&lt;R语言数据挖掘&gt;一书中的第1章,第1.8节,作者［哈萨克斯坦］贝特·麦克哈贝尔(Bater Makhabel),李洪成 许金炜 段力辉 译,更多章节内容可以访问&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVRoDz.html" rel="bookmark" class="title">Python的lambda匿名函数的简单介绍&lowbar;python</a>
					<div>
						lambda函数也叫匿名函数,即,函数没有具体的名称.先来看一个最简单例子: 复制代码 代码如下: def f(x):return x**2print f(4) Python中使用lambda的话,写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Za73z.html" rel="bookmark" class="title">asp&period;net记住密码实现下次自动登录代码</a>
					<div>
						//这里cookie怎么写,还要加密   代码如下 复制代码 Respone.Cookie.Add(new Cookie(&quot;User_Name&quot;,(加密)txtUserName.t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZOn3z.html" rel="bookmark" class="title">dwz模糊查询显示。-dwz模糊查询到的数据显示在本页。</a>
					<div>
						问题描述 dwz模糊查询到的数据显示在本页. 解决方案 JSP页面					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByxxAz.html" rel="bookmark" class="title">湘鄂情由餐饮投身大数据 联姻中科院更名中科云网</a>
					<div>
						ZDNet至顶网软件频道 综合消息: 今天有关于著名餐饮企业湘鄂情进军大数据的消息被媒体广泛报道.昨天晚间湘鄂情发布&lt;第三届董事会第二十一次会议决议公告&gt;,正式更名中科云网,投身大数据.公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm504p.html" rel="bookmark" class="title">go语言中时间戳格式化的方法&lowbar;Golang</a>
					<div>
						本文实例讲述了go语言中时间戳格式化的方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: var t int64 = time.Now().Unix() var s string = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXN5E5b.html" rel="bookmark" class="title">罗德史瓦兹伙伴 Albatross Projects Group 现已于美国成立子公司</a>
					<div>
						罗德史瓦兹一直为 EMC 量测市场主要的仪器供应商,现在与Albatross Projects Group合作,共同开创美国及加拿大之电波暗室及屏蔽室的市场,从EMC系统的整合.销售及服务,现在皆可由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyvONlp.html" rel="bookmark" class="title">Illustrator设计透明按钮制作教程</a>
					<div>
						给各位Illustrator软件的使用者们来详细的解析分享一下设计透明按钮的制作教程. 教程分享: 主要用到渐变.色彩.图层模式.阴影滤镜等工具.   选择菜单文件&gt;新建,新建一个文件.   因 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
